> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create a WhatsApp template

POST https://api.brevo.com/v3/whatsappCampaigns/template
Content-Type: application/json

You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below.
[Activating WhatsApp](https://developers.brevo.com/docs/whatsapp-campaigns-1) in your account

Reference: https://developers.brevo.com/reference/create-whats-app-template

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Body (application/json)

This endpoint expects an object.

- `bodyText` (string, required) — Body of the template. **Maximum allowed characters are 1024**
- `category` (enum, required) — Category of the template
  - Allowed values: `MARKETING`, `UTILITY`
- `language` (string, required) — Language of the template. For Example : **en** for English
- `name` (string, required) — Name of the template
- `headerText` (string, optional) — Text content of the header in the template. **Maximum allowed characters are 45** **Use this field to add text content in template header and if mediaUrl is empty**
- `mediaUrl` (string, optional) — Absolute url of the media file **(no local file)** for the header. **Use this field in you want to add media in Template header and headerText is empty** Allowed extensions for media files are: #### jpeg | png | mp4 | pdf
- `source` (enum, optional) — source of the template
  - Allowed values: `Automation`, `Conversations`

## Response

### 201

successfully created

- `id` (long, required) — ID of the object created

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Request**

```json
{
  "bodyText": "making it look like readable English",
  "category": "MARKETING",
  "language": "en",
  "name": "Test template"
}
```

**Response**

```json
{
  "id": 5
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.whatsAppCampaigns.createWhatsAppTemplate({
        bodyText: "making it look like readable English",
        category: "MARKETING",
        language: "en",
        name: "Test template",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.whats_app_campaigns.create_whats_app_template(
    body_text="making it look like readable English",
    category="MARKETING",
    language="en",
    name="Test template",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\WhatsAppCampaigns\Requests\CreateWhatsAppTemplateRequest;
use Brevo\WhatsAppCampaigns\Types\CreateWhatsAppTemplateRequestCategory;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->whatsAppCampaigns->createWhatsAppTemplate(
    new CreateWhatsAppTemplateRequest([
        'bodyText' => 'making it look like readable English',
        'category' => CreateWhatsAppTemplateRequestCategory::Marketing->value,
        'language' => 'en',
        'name' => 'Test template',
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/whatsappCampaigns/template"

	payload := strings.NewReader("{\n  \"bodyText\": \"making it look like readable English\",\n  \"category\": \"MARKETING\",\n  \"language\": \"en\",\n  \"name\": \"Test template\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/whatsappCampaigns/template")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"bodyText\": \"making it look like readable English\",\n  \"category\": \"MARKETING\",\n  \"language\": \"en\",\n  \"name\": \"Test template\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/whatsappCampaigns/template")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"bodyText\": \"making it look like readable English\",\n  \"category\": \"MARKETING\",\n  \"language\": \"en\",\n  \"name\": \"Test template\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/whatsappCampaigns/template");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"bodyText\": \"making it look like readable English\",\n  \"category\": \"MARKETING\",\n  \"language\": \"en\",\n  \"name\": \"Test template\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "bodyText": "making it look like readable English",
  "category": "MARKETING",
  "language": "en",
  "name": "Test template"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/whatsappCampaigns/template")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```